## javax.servlet.http
Interface WebConnection

    public interface WebConnection

This interface encapsulates the connection for an upgrade request. It allows the protocol handler to sent service requests and status queries to the container.

Since:
  Servlet 3.1

Method Summary
`ServletInputStream` `getInputStream()` Returns an input stream for this web connection.
`ServletOutputStream` `getOutputStream()` Returns an output stream for this web connection.

Method Detail

### getInputStream

    ServletInputStream getInputStream()
                                      throws IOException

  Returns an input stream for this web connection.

  Returns:
    a ServletInputStream for reading binary data
  Throws:
    `IOException` - if an I/O error occurs

### getOutputStream

    ServletOutputStream getOutputStream()
                                        throws IOException

  Returns an output stream for this web connection.

  Returns:
    a ServletOutputStream for writing binary data
  Throws:
    `IOException` - if an I/O error occurs

Copyright © 2012 GlassFish Community. All Rights Reserved.